Activate a customer account
Completes the customer account activation flow by setting the initial
password. The token is sent to the customer’s email after the
merchant triggers customers:start_activation.
PUT
/customers/activations/{token}Authorization
AuthorizationBearer token (JWT) · headerrequiredPath parameters
tokenstringrequiredActivation token from the email link.
Request body
requiredapplication/jsonpasswordstringrequiredThe new password for the account (min 8 chars).
Responses
200Account activated
422Invalid or expired token
Request
curl -X PUT "https://api.onbolder.com/v2/customers/activations/abc123def456ghi789" \
-H "Authorization: Bearer YOUR_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"password": "newSecureP@ss1"
}'const response = await fetch("https://api.onbolder.com/v2/customers/activations/abc123def456ghi789", {
method: "PUT",
headers: {
"Authorization": "Bearer YOUR_TOKEN",
"Content-Type": "application/json"
},
body: JSON.stringify({
"password": "newSecureP@ss1"
})
});import requests
response = requests.put(
"https://api.onbolder.com/v2/customers/activations/abc123def456ghi789",
headers={
"Authorization": "Bearer YOUR_TOKEN",
"Content-Type": "application/json"
},
json={
"password": "newSecureP@ss1"
},
)Response
{
"id": 3001,
"email": "jane@example.com",
"status": "private",
"_links": {
"self": {
"href": "https://api.onbolder.com/v2/customers/3001"
}
}
}Invalid or expired token